Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	GNU extension language library
Name:		guile
Version:	1.8.6
Release:	3
License:	GNU/GPL
URL:		http://www.gnu.org/software/guile/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: gmp-devel
BuildRequires: libtool-devel
BuildRequires: ncurses-devel
BuildRequires: readline-devel

%description
Guile is a library designed to help programmers create flexible applications.
Using Guile in an application allows programmers to write plug-ins, or
modules (there are many names, but the concept is essentially the same) and
users to use them to have an application fit their needs. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig
/sbin/install-info %_infodir/guile.info.gz %_infodir/dir
 
%preun 
if [ "$1" = 0 ]; then 
/sbin/install-info --del %_infodir/guile.info.gz %_infodir/dir 
fi 

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--disable-debug
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"
rm -f $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_infodir
%_datadir/guile
%_mandir/man1

%files devel
%defattr(-,root,root)
%_bindir/guile-config
%_bindir/guile-snarf
%_aclocal
%_libdir/libguile*.a
%_libdir/libguile*.la
%_libdir/libguile*.so
%_pkgconfig
%_includedir/guile
%_includedir/libguile
%_includedir/libguile.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 25 2009 Christian Metzen <metzench@ccux-linux.de> 1.8.6-3
- rebuild against libtool-2.2.6
* Mon Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 1.8.6-2
- rebuilt to get /usr/include/libguile.h
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.8.6-1
- Version update
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.3-2
- rebuilt against libtool 1.5.24
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.3-1
- Version update
* Tue Jan 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.1-2
- rebuilt
* Thu Jan 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.1-1
- Version update
* Tue May 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.8.0-3
- added pthread support
* Tue May 09 2006 Christian Wasem <wasem@ccux-linux.de> 1.8.0-2
- removed info/dir 
* Sun Mar 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.8.0-1
- Initial Release
